<ul>
    <li 
      *ngFor="let item as NavItem of navData; index as a"
      [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
    >
      <digi-navigation-vertical-menu-item
        [attr.af-id]="'navId-' + a"
        [attr.af-text]="item.title"
        [attr.af-href]="item.noLink ? null : '#'"
        [attr.af-active]="setActive('navId-' + a)"
        [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
        [attr.af-override-link]="true"
      ></digi-navigation-vertical-menu-item>

      <ul *ngIf="!!item?.children">
        <li 
          *ngFor="let item of item?.children; index as b"
            [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
        >
          <digi-navigation-vertical-menu-item
            [attr.af-id]="'navId-'+a+'-'+b"
            [attr.af-text]="item.title"
            [attr.af-href]="item.noLink ? null : '#'"
            [attr.af-active]="setActive('navId-'+a+'-'+b)"
            [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
            [attr.af-override-link]="true"
          ></digi-navigation-vertical-menu-item>

          <ul *ngIf="!!item?.children">
            <li 
              *ngFor="let item of item?.children; index as c"
              [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
            >
              <digi-navigation-vertical-menu-item
                [attr.af-id]="'navId-'+a+'-'+b+'-'+c"
                [attr.af-text]="item.title"
                [attr.af-href]="item.noLink ? null : '#'"
                [attr.af-active]="setActive('navId-'+a+'-'+b+'-'+c)"
                [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
                [attr.af-override-link]="true"
              ></digi-navigation-vertical-menu-item>

              <ul *ngIf="!!item?.children">
                <li 
                  *ngFor="let item of item?.children; index as d"
                  [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
                >
                  <digi-navigation-vertical-menu-item
                    [attr.af-id]="'navId-'+a+'-'+b+'-'+c+'-'+d"
                    [attr.af-text]="item.title"
                    [attr.af-href]="item.noLink ? null : '#'"
                    [attr.af-active]="setActive('navId-'+a+'-'+b+'-'+c+'-'+d)"
                    [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
                    [attr.af-override-link]="true"
                  ></digi-navigation-vertical-menu-item>

                  <ul *ngIf="!!item?.children">
                    <li 
                      *ngFor="let item of item?.children; index as e"
                      [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
                    >
                      <digi-navigation-vertical-menu-item
                        [attr.af-id]="'navId-'+a+'-'+b+'-'+c+'-'+d+'-'+e"
                        [attr.af-text]="item.title"
                        [attr.af-href]="item.noLink ? null : '#'"
                        [attr.af-active]="setActive('navId-'+a+'-'+b+'-'+c+'-'+d+'-'+e)"
                        [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
                        [attr.af-override-link]="true"
                      ></digi-navigation-vertical-menu-item>

                      <ul *ngIf="!!item?.children">
                        <li 
                          *ngFor="let item of item?.children; index as f"
                          [ngClass]="item.highlight ? 'digi-navigation-vertical-menu__item--highlight' : ''"
                        >
                          <digi-navigation-vertical-menu-item
                            [attr.af-id]="'navId-'+a+b+c+d+e+f"
                            [attr.af-text]="item.title"
                            [attr.af-href]="item.noLink ? null : '#'"
                            [attr.af-active]="setActive('navId-'+a+'-'+b+'-'+c+'-'+d+'-'+e+'-'+f)"
                            [attr.af-active-subnav]="item.highlight ? 'false' : item?.children ? false : null"
                            [attr.af-override-link]="true"
                          ></digi-navigation-vertical-menu-item>
                      </ul>

                    </li>

                  </ul>

                </li>
                
              </ul>

            </li>
            
          </ul>

        </li>
      </ul>

    </li>
  </ul>